Bug 111783 - Display master background option is not updated on sidebar
Summary: Display master background option is not updated on sidebar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Master-Pages
  Show dependency treegraph
 
Reported: 2017-08-14 02:06 UTC by Tamás Zolnai
Modified: 2021-02-27 04:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing options are not syncronized on the context menu and on sidebar (101.99 KB, image/png)
2017-08-14 02:08 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-14 02:06:09 UTC
Description:
We have an option to display / hide master slide background. This option can be set in context menu and on the sidebar. Conext menu always shows the right state, but sidebar is not updated if I change this setting via context menu.

Steps to Reproduce:
1. Open Impress
2. Switch to master slide and add a background color
3. Switch back to normal view
4. Open sidebar
5. Change Display Master Background property via context menu (Slide Features)

Actual Results:  
After changing the option in the context menu the sidebar is not updated and so does not show the current state of the option.

Expected Results:
Sidebar should be always updated similar to other properties like slide background change.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Tamás Zolnai 2017-08-14 02:08:49 UTC
Created attachment 135530 [details]
Screenshot showing options are not syncronized on the context menu and on sidebar
Comment 2 Xisco Faulí 2017-08-14 09:43:51 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: ef2e6260fad38e26c8591ea88ded348db618270d
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 3 Jacques Guilleron 2017-08-14 10:10:30 UTC
Hi Tamás,

Slide Features > Display Master Background in context menu
and
Properties Display > Display Background in Sidebar
are not syncronized. They will be so only after the next action.
Reproduced with
LO 6.0.0.0.alpha0+ Build ID: 88179e3de8865ea07d5017ca0723afd10ad44ba7
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-06_23:49:25
Locale: fr-FR (fr_FR); Calc: CL
Comment 4 Buovjaga 2018-02-26 17:09:58 UTC
Note that now the context menu option has been removed.
Comment 5 QA Administrators 2019-02-27 03:56:24 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2021-02-27 04:12:36 UTC
Dear Tamás Zolnai,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug